Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezcurrency.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: ezcurrency.php 6200 2001-07-19 11:33:57Z jakobn $
5 //
6 // Definition of eZCompany class
7 //
8 // Created on: <06-Sep-2000 16:20:20 bf>
9 //
10 // This source file is part of Exponential Basic, publishing software.
11 //
12 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
13 //
14 // This program is free software; you can redistribute it and/or
15 // modify it under the terms of the GNU General Public License
16 // as published by the Free Software Foundation; either version 2
17 // of the License, or (at your option) any later version.
18 //
19 // This program is distributed in the hope that it will be useful,
20 // but WITHOUT ANY WARRANTY; without even the implied warranty of
21 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
22 // GNU General Public License for more details.
23 //
24 // You should have received a copy of the GNU General Public License
25 // along with this program; if not, write to the Free Software
26 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
27 //
28
31
45 class eZCurrency
46 {
50 function __construct( $value=0 )
51 {
52 $this->Value = $value;
53 settype( $this->Value, 'float' );
54 }
55
59 function value()
60 {
61 return $this->Value;
62 }
63
67 function setValue( $value )
68 {
69 $this->Value = $value;
70 settype( $this->Value, 'float' );
71 }
72
76 function isNegative( )
77 {
78 if ( $this->Value < 0 )
79 {
80 return true;
81 }
82 else
83 {
84 return false;
85 }
86 }
87
88 var $Value;
89 }
90
91 ?>
eZCurrency
Definition: ezcurrency.php:46
eZCurrency\setValue
setValue( $value)
Definition: ezcurrency.php:67
eZCurrency\isNegative
isNegative()
Definition: ezcurrency.php:76
eZCurrency\__construct
__construct( $value=0)
Definition: ezcurrency.php:50
eZCurrency\value
value()
Definition: ezcurrency.php:59
eZCurrency\$Value
$Value
Definition: ezcurrency.php:88
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.